package com.jz.dm.mall.moduls.mapper;

import com.jz.common.base.BaseMapper;
import com.jz.dm.mall.moduls.entity.MallCustomer;

import java.util.Map;

/**
 * 商城用户(TMallCustomer)表数据库访问层
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:39
 */
public interface MallCustomerDao extends BaseMapper<MallCustomer> {
    /**
     * 根据账号查询用户信息
     * @param username
     * @return
     */
    MallCustomer selectByAccount(String username);

    /**
     * 根据手机号查询用户信息
     * @param username
     * @return
     */
    MallCustomer selectByPhone(String username);

}